Subject: Re: bug#8924: 23.3; Editing is rather difficult using vc with RCS backend

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jun 2011 22:14:36 +0300

> From: Richard Stanton <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 24 Jun 2011 11:13:31 -0700
> 
> I may well be missing something obvious, but I can't find an RCS port at the GnuWin32 site.

Looks like they removed it.  Perhaps because I reported a few bad bugs
with their port.  I actually use a fixed port I built myself; I should
have mentioned that, sorry.

> > What does "rlog test.tex" show after that initial checkin?
> 
> C:\projects\test\version\rcstest>rlog test.tex
> 
> RCS file: RCS/test.tex,v
> Working file: test.tex
> head: 1.1
> branch:
> locks: strict
> access list:
> symbolic names:
> keyword substitution: kv
> total revisions: 1;     selected revisions: 1
> description:
> ----------------------------
> revision 1.1
> date: 2011/06/24 18:10:25;  author: stanton;  state: Exp;
> Initial revision
> =============================================================================
> 
> > What does user-login-name and user-real-login-name return inside Emacs?
> 
> user-login-name: "stanton"
> user-real-login-name: "stanton"

Bummer.

The only thing I can suggest is step with Edebug through vc-rcs.el and
see what's wrong.